@keyframes cartBounce {
  0% { transform: scale(1); opacity: 0.75; }
  50% { transform: scale(1.25); opacity: 1; }
  100% { transform: scale(1); opacity: 0.75; }
}

#Nav {
  height: var(--nav-height);
  left: 0;
  padding: 10px 15px;
  position: fixed;
  text-align: center;
  top: 0;
  transform: translateX(0);
  transition: background-color 0.75s;
  width: 100%;
  z-index: 21;
  &.background {
    background-color: var(--dark);
    &.menu {
      background-color: var(--black);
    }
  }
  & .menu-btn {
    cursor: pointer;
    left: 0;
    opacity: 0.75;
    padding: 10px 13px;
    position: absolute;
    transition: opacity 0.2s;
    top: 0;
    &:hover {
      opacity: 1;
    }
    & .label {
      color: white;
      display: inline-block;
      font-family: "Palanquin", sans-serif;
      font-size: 12px;
      font-weight: 600;
      opacity: 1;
      padding-left: 10px;
      text-transform: uppercase;
      transition: opacity 0.25s ease-in-out;
      vertical-align: top;
      &.open {
        opacity: 0;
        overflow: hidden;
        padding-left: 0;
        width: 0;
      }
    }
  }
  & .home-btn {
    margin: 0 auto;
    & img {
      width: 76px;
    }
  }
  & .nav-subtitle {
    color: var(--red);
    display: inline-block;
    font-family: "Pathway Gothic One", sans-serif;
    font-size: 24px;
    height: 30px;
    line-height: 19px;
    max-width: calc(100% - 260px);
    overflow: hidden;
    padding: 0 7px;
    text-overflow: ellipsis;
    white-space: nowrap;
    vertical-align: middle;
    @media (max-width: 500px) {
      display: none;
    }
  }
  & .right-buttons {
    display: flex;
    position: absolute;
    right: 0;
    top: 0;
    & span {
      margin: 8px 5px;
      &:only-child {
        margin-right: 10px;
      }
    }
    & .cart-icon {
      color: white;
      display: inline-block;
      font-family: "Palanquin", sans-serif;
      font-size: 13px;
      font-weight: 800;
      line-height: 20px;
      opacity: 0.75;
      transform: scale(1);
      transition: opacity 0.2s;
      &:hover {
        opacity: 1;
        text-decoration: none;
      }
      & img {
        vertical-align: top;
      }
      @for $i from 1 to 5 {
        &.cart-size-$i {
          animation-name: cartBounce;
          animation-duration: 0.5s;
          animation-iteration-count: 1;
        }
      }
    }
  }
}

.cart-nav-controls {
  max-width: 260px;
  min-width: 260px;
  padding: 12px;
  width: 260px;
  & .title {
    color: var(--dark);
    font-family: "Palanquin", sans-serif;
    font-size: 13px;
    font-weight: bold;
    letter-spacing: 0.6px;
    text-transform: uppercase;
  }
  & .sub {
    color: #949494;
    font-family: "Palanquin", sans-serif;
    font-size: 11px;
    font-weight: 400;
    margin-bottom: 7px;
    margin-top: 5px;
  }
  & .body {
    color: var(--black);
    font-family: "Palanquin", sans-serif;
    font-size: 11px;
    font-weight: 400;
    margin-bottom: 7px;
    margin-top: 5px;
  }
  & .dataset {
    align-items: center;
    display: flex;
    margin-bottom: 10px;
    width: 100%;
    & .title {
      color: #949494;
      flex: 1;
      font-family: "Palanquin", sans-serif;
      font-size: 13px;
      font-weight: 600;
      line-height: 15px;
      letter-spacing: 0;
      padding-right: 20px;
      text-transform: none;
    }
    & .remove {
      display: block;
      height: 10px;
      margin-top: 4px;
      opacity: 0.75;
      transition: opacity 0.1s;
      width: 10px;
      &:hover {
        cursor: pointer;
        opacity: 1;
      }
    }
  }
  & .pt-button {
    background: none;
    border: 1px solid var(--red);
    border-radius: 0;
    box-shadow: none;
    color: var(--red);
    font-size: 13px;
    font-weight: 600;
    margin-top: 10px;
    text-align: center;
    transition: background 0.1s, color 0.1s;
    &:before {
      color: var(--red);
      font-size: 13px;
      transition: color 0.1s;
    }
    &:hover {
      background: var(--red);
      color: white;
      &:before {
        color: white;
      }
    }
  }
}

.pt-dialog.nav-menu {
  background-color: var(--black);
  display: flex;
  flex-direction: column;
  height: 100vh;
  justify-content: space-space-between;
  left: 0;
  margin: 0;
  padding: 0;
  position: fixed !important;
  /* necessary for overriding blueprint */
  transform: translateX(0);
  transition: transform 0.25s;
  width: 300px;
  will-change: transform;
  & .menu-content {
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    height: 100vh;
    justify-content: space-between;
    margin: 0;
    & ul {
      list-style: none;
      margin: 0;
      padding: var(--nav-height) 35px;
      & li {
        font-family: "Palanquin", sans-serif;
        font-size: 16px;
        font-weight: 600;
        letter-spacing: 0.1em;
        line-height: 1.3;
        padding: 7px 0;
        text-transform: uppercase;
        vertical-align: middle;
        & a {
          color: white;
          &:hover {
            color: var(--purple);
            text-decoration: none;
          }
          &.new:after {
            color: var(--red);
            content: "new";
            font-size: 60%;
            font-weight: 800;
            margin-left: 3px;
            text-transform: uppercase;
            vertical-align: super;
          }
        }
        & ul {
          padding: 5px 15px 5px;
          & li {
            font-size: 14px;
          }
        }
      }
    }
    & .menu-collab {
      padding-bottom: 25px;
      text-align: center;
      & img {
        height: 15px;
        margin: 10px;
        opacity: 0.75;
        transition: opacity 0.1s;
        &:hover {
          opacity: 1;
        }
      }
    }
  }
}

.pt-dialog-container {
  outline: 0;
  transform: translateX(0);
  transition: transform 0.25s ease-in-out;
  will-change: transform;
  &.slide-enter, &.slide-leave.slide-leave-active {
    transform: translateX(-300px);
  }
  &.slide-enter.slide-enter-active, &.slide-leave {
    transform: translateX(0);
  }
}

.pt-overlay-backdrop {
  opacity: 1;
  transition: opacity 0.25s ease-in-out;
  &.slide-enter, &.slide-leave.slide-leave-active {
    opacity: 0;
  }
  &.slide-enter.slide-enter-active, &.slide-leave {
    opacity: 1;
  }
}
